sat_arith.h File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Functions

template<typename _Tp> requires __is_signed_or_unsigned_integer<_Tp>::value
constexpr _Tp | std::saturating_add (_Tp __x, _Tp __y) noexcept
template<typename _Res, typename _Tp> requires __is_signed_or_unsigned_integer<_Res>::value && __is_signed_or_unsigned_integer<_Tp>::value
constexpr _Res | std::saturating_cast (_Tp __x) noexcept
template<typename _Tp> requires __is_signed_or_unsigned_integer<_Tp>::value
constexpr _Tp | std::saturating_div (_Tp __x, _Tp __y) noexcept
template<typename _Tp> requires __is_signed_or_unsigned_integer<_Tp>::value
constexpr _Tp | std::saturating_mul (_Tp __x, _Tp __y) noexcept
template<typename _Tp> requires __is_signed_or_unsigned_integer<_Tp>::value
constexpr _Tp | std::saturating_sub (_Tp __x, _Tp __y) noexcept

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <numeric>.

Definition in file sat_arith.h.